:root {
    --soon-background: #262B31;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 20px;
}

.header .left {
    display: flex;
    gap: 20px;
    align-items: center;
    height: 40px;
}
.header .left .logotype {
    padding-top: 4px;
    display: flex;
}
.header .left .header-navigator {
    display: flex;
    background: var(--block-bg);
    border-radius: 14px;
    padding: 2.5px 4px;
}
.header .left .header-navigator .navigator-item-active {
    width: 80px;
    height: 36px;
    position: absolute;
    background: #2F80ED;
    border-radius: 14px;
    opacity: 0;
    transition: all 300ms;
}
.header .left .header-navigator .header-navigator-items {
    display: flex;
    gap: 4px;
}
.header .left .header-navigator .header-navigator-items .header-navigator-item {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 8px 10px;
    position: relative;
    z-index: 2;
    cursor: pointer;
}
.header .left .header-navigator .header-navigator-items .header-navigator-item .icon {
    width: 16px;
    height: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.header .left .header-navigator .header-navigator-items .header-navigator-item .icon svg {
    height: 16px;
    color: #8A919B;
    transition: color 300ms;
}

.header .left .header-navigator .header-navigator-items .header-navigator-item:hover .icon svg,
.header .left .header-navigator .header-navigator-items .header-navigator-item.active .icon svg {
    color: #fff;
    transition: color 300ms;
}

.header .left .header-navigator .header-navigator-items .header-navigator-item .navigator-name {
    font-size: 12px;
    font-weight: 500;
}
.header .left .header-navigator .header-navigator-items .header-navigator-item .navigator-status {
    color: #A1A7B0;
    font-size: 10px;
    font-weight: 600;
    background: #262B31;
    padding: 2px 8px;
    border-radius: 7px;
}

@media(max-width: 1440px) {
    .header .left .header-navigator .header-navigator-items .header-navigator-item .navigator-name,
    .header .left .header-navigator .header-navigator-items .header-navigator-item .navigator-status {
        display: none;
    }

    .header .left .header-navigator {
        padding: 2px 4px;
    }

    .header .left .header-navigator .header-navigator-items .header-navigator-item {
        padding: 0;
        width: 36px;
        height: 36px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

@media (max-width: 600px) {
    .header .left .header-navigator {
        display: none;
    }
}

.header .right {
    display: flex;
}
.header .right .guest-block {
    display: flex;
    gap: 10px;
}
.header .right .guest-block .auth-button {
    height: 40px;
    font-size: 12px;
    font-weight: 500;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0px 30px;
    border-radius: 14px;
    cursor: pointer;
}
.header .right .guest-block .auth-button.signin {
    background: #1F2328;
    transition: all 300ms;
}

.header .right .guest-block .auth-button.signin:hover {
    background: var(--sidebar-item-hover-bg);
    transition: all 300ms;
}

.header .right .guest-block .auth-button.signup {
    position: relative;
    background: #2EA66A;
    transition: all 300ms;
    overflow: hidden;
}

.header .right .guest-block .auth-button.signup::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 50%;
    height: 100%;

    background: linear-gradient(
        120deg,
        transparent,
        rgba(255, 255, 255, 0.3),
        transparent
    );

    transform: skewX(-20deg);
}

.header .right .guest-block .auth-button.signup.shine::after {
    animation: shine 1.5s ease;
}

@keyframes shine {
    0% {
        left: -100%;
    }
    100% {
        left: 150%;
    }
}

.header .right .user-block {
    display: flex;
}
.header .right .user-block .balance-block {
    display: flex;
    gap: 8px;
    background: var(--block-bg);
    height: 40px;
    align-items: center;
    padding: 0px 2px 0px 10px;
    border-radius: 14px;
}
.header .right .user-block .balance-block .balance-details {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    cursor: pointer;
}
.header .right .user-block .balance-block .balance-details .balance-details-currency {
    display: flex;
    gap: 3px;
    color: #6E7681;
    font-weight: 500;
    font-size: 10px;
    align-items: center;
}

.header .right .user-block .balance-block .balance-details .balance-details-currency svg {
    width: 11px;
    height: 11px;
}

.header .right .user-block .balance-block .balance-details .balance-details-balance {
    font-size: 12px;
    font-weight: 500;
    line-height: 11px;
}

.header .right .user-block .balance-block .deposit-button {
    position: relative;
    background: #2EA66A;
    transition: all 300ms;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 36px;
    font-size: 12px;
    font-weight: 500;
    border-radius: 14px;
    padding: 0px 30px;
    cursor: pointer;
}

.header .right .user-block .balance-block .deposit-button::after{
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 50%;
    height: 100%;

    background: linear-gradient(
        120deg,
        transparent,
        rgba(255, 255, 255, 0.3),
        transparent
    );

    transform: skewX(-20deg);
}

.header .right .user-block .balance-block .deposit-button.shine::after {
    animation: shine 1.5s ease;
}